Axis2/C: output

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# output
[AXIOM]

## Typedefs
typedef struct axiom_output | axiom_output_t
| output struct The XML writer interface struct of om
## Functions
AXIS2_EXTERN axiom_output_t * | axiom_output_create (const axutil_env_t *env, axiom_xml_writer_t *xml_writer)
AXIS2_EXTERN axis2_status_t | axiom_output_write (axiom_output_t *om_output, const axutil_env_t *env, axiom_types_t type, int no_of_args,...)
AXIS2_EXTERN axis2_status_t | axiom_output_write_optimized (axiom_output_t *om_output, const axutil_env_t *env, struct axiom_text *om_text)
AXIS2_EXTERN void | axiom_output_free (axiom_output_t *om_output, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axiom_output_is_soap11 (axiom_output_t *om_output, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axiom_output_is_ignore_xml_declaration (axiom_output_t *om_output, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_output_set_ignore_xml_declaration (axiom_output_t *om_output, const axutil_env_t *env, axis2_bool_t ignore_xml_dec)
AXIS2_EXTERN axis2_status_t | axiom_output_set_soap11 (axiom_output_t *om_output, const axutil_env_t *env, axis2_bool_t soap11)
AXIS2_EXTERN axis2_status_t | axiom_output_set_xml_version (axiom_output_t *om_output, const axutil_env_t *env, axis2_char_t *xml_version)
AXIS2_EXTERN axis2_char_t * | axiom_output_get_xml_version (axiom_output_t *om_output, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_output_set_char_set_encoding (axiom_output_t *om_output, const axutil_env_t *env, axis2_char_t *char_set_encoding)
AXIS2_EXTERN axis2_char_t * | axiom_output_get_char_set_encoding (axiom_output_t *om_output, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_output_set_do_optimize (axiom_output_t *om_output, const axutil_env_t *env, axis2_bool_t optimize)
AXIS2_EXTERN axiom_xml_writer_t * | axiom_output_get_xml_writer (axiom_output_t *om_output, const axutil_env_t *env)
AXIS2_EXTERN const axis2_char_t * | axiom_output_get_content_type (axiom_output_t *om_output, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_output_write_xml_version_encoding (axiom_output_t *om_output, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axiom_output_is_optimized (axiom_output_t *om_output, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axiom_output_get_next_content_id (axiom_output_t *om_output, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axiom_output_get_root_content_id (axiom_output_t *om_output, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axiom_output_get_mime_boundry (axiom_output_t *om_output, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_output_flush (axiom_output_t *om_output, const axutil_env_t *env)
AXIS2_EXTERN axutil_array_list_t * | axiom_output_get_mime_parts (axiom_output_t *om_output, const axutil_env_t *env)

## Function Documentation

AXIS2_EXTERN axiom_output_t* axiom_output_create | ( | const axutil_env_t * | env,
|  | axiom_xml_writer_t * | xml_writer |
| ) |  |  |

Creates AXIOM output struct

Parameters:

  | env | Environment. MUST NOT be NULL, .
  | xml_writer | XML writer. OM output takes ownership of the xml_writer.

Returns:
  a pointer to newly created output struct.

AXIS2_EXTERN void axiom_output_free | ( | axiom_output_t * | om_output,
|  | const axutil_env_t * | env |
| ) |  |  |

Free om_output

Parameters:

  | om_output | om_output struct
  | env | environment

Returns:
  status code AXIS2_SUCCESS on success, AXIS2_FAILURE otherwise

AXIS2_EXTERN axis2_char_t* axiom_output_get_char_set_encoding | ( | axiom_output_t * | om_output,
|  | const axutil_env_t * | env |
| ) |  |  |

Returns:
  the char set encoding property

AXIS2_EXTERN const axis2_char_t* axiom_output_get_content_type | ( | axiom_output_t * | om_output,
|  | const axutil_env_t * | env |
| ) |  |  |

Returns the content type for soap11 'text/xml' etc..

Parameters:

  | om_output |
  | env | environemnt

Returns:
  content id

AXIS2_EXTERN axis2_char_t* axiom_output_get_next_content_id | ( | axiom_output_t * | om_output,
|  | const axutil_env_t * | env |
| ) |  |  |

Returns the next content id

AXIS2_EXTERN axis2_char_t* axiom_output_get_root_content_id | ( | axiom_output_t * | om_output,
|  | const axutil_env_t * | env |
| ) |  |  |

root content id

AXIS2_EXTERN axis2_char_t* axiom_output_get_xml_version | ( | axiom_output_t * | om_output,
|  | const axutil_env_t * | env |
| ) |  |  |

Returns:
  xml version property

AXIS2_EXTERN axiom_xml_writer_t* axiom_output_get_xml_writer | ( | axiom_output_t * | om_output,
|  | const axutil_env_t * | env |
| ) |  |  |

Returns the xml writer

AXIS2_EXTERN axis2_bool_t axiom_output_is_ignore_xml_declaration | ( | axiom_output_t * | om_output,
|  | const axutil_env_t * | env |
| ) |  |  |

Returns:
  true if the ignore_xml_declaration property is true

AXIS2_EXTERN axis2_bool_t axiom_output_is_optimized | ( | axiom_output_t * | om_output,
|  | const axutil_env_t * | env |
| ) |  |  |

Returns:
  whether the output is to be optimized

AXIS2_EXTERN axis2_bool_t axiom_output_is_soap11 | ( | axiom_output_t * | om_output,
|  | const axutil_env_t * | env |
| ) |  |  |

If the xml to be serialized is soap 11, this property is set to true

Parameters:

  | om_output | pointer to om_output struct
  | env | environment must not be NULL

Returns:
  the output soap version

AXIS2_EXTERN axis2_status_t axiom_output_set_char_set_encoding | ( | axiom_output_t * | om_output,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | char_set_encoding |
| ) |  |  |

Sets the char set encoding property

AXIS2_EXTERN axis2_status_t axiom_output_set_do_optimize | ( | axiom_output_t * | om_output,
|  | const axutil_env_t * | env,
|  | axis2_bool_t | optimize |
| ) |  |  |

Sets the do optimize property true

AXIS2_EXTERN axis2_status_t axiom_output_set_ignore_xml_declaration | ( | axiom_output_t * | om_output,
|  | const axutil_env_t * | env,
|  | axis2_bool_t | ignore_xml_dec |
| ) |  |  |

Sets the ignore_xml_declaration property is true

AXIS2_EXTERN axis2_status_t axiom_output_set_soap11 | ( | axiom_output_t * | om_output,
|  | const axutil_env_t * | env,
|  | axis2_bool_t | soap11 |
| ) |  |  |

Sets the soap11 property to true

AXIS2_EXTERN axis2_status_t axiom_output_set_xml_version | ( | axiom_output_t * | om_output,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | xml_version |
| ) |  |  |

Sets xml_version property

AXIS2_EXTERN axis2_status_t axiom_output_write | ( | axiom_output_t * | om_output,
|  | const axutil_env_t * | env,
|  | axiom_types_t | type,
|  | int | no_of_args,
|  |  | ... |
| ) |  |  |

Performs xml writing. Accepts variable number of args depending on the on AXIOM type to be serialized

Parameters:

  | om_output | Output struct to be used
  | env | Environment. MUST NOT be NULL,
  | type | one of the AXIOM types
  | no_of_args | number of arguments passed in the variable parameter list

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_output_write_xml_version_encoding | ( | axiom_output_t * | om_output,
|  | const axutil_env_t * | env |
| ) |  |  |

Writes the xml versio encoding